ChangeSet 1.1608.24.42, 2004/03/03 12:54:26-08:00, greg@kroah.com

[PATCH] USB: remove intf->act_altsetting altogether from the USB core and usb.h


 drivers/usb/core/message.c |    3 ---
 include/linux/usb.h        |    5 -----
 2 files changed, 8 deletions(-)


diff -Nru a/drivers/usb/core/message.c b/drivers/usb/core/message.c
--- a/drivers/usb/core/message.c	Tue Mar 16 15:04:10 2004
+++ b/drivers/usb/core/message.c	Tue Mar 16 15:04:10 2004
@@ -969,7 +969,6 @@
 	usb_disable_interface(dev, iface);
 
 	iface->cur_altsetting = alt;
-	iface->act_altsetting = alt - iface->altsetting;
 
 	/* If the interface only has one altsetting and the device didn't
 	 * accept the request, we attempt to carry out the equivalent action
@@ -1068,7 +1067,6 @@
 			alt = &intf->altsetting[0];
 
 		intf->cur_altsetting = alt;
-		intf->act_altsetting = alt - intf->altsetting;
 		usb_enable_interface(dev, intf);
 	}
 	return 0;
@@ -1170,7 +1168,6 @@
 				alt = &intf->altsetting[0];
 
 			intf->cur_altsetting = alt;
-			intf->act_altsetting = alt - intf->altsetting;
 			usb_enable_interface(dev, intf);
 			intf->dev.parent = &dev->dev;
 			intf->dev.driver = NULL;
diff -Nru a/include/linux/usb.h b/include/linux/usb.h
--- a/include/linux/usb.h	Tue Mar 16 15:04:10 2004
+++ b/include/linux/usb.h	Tue Mar 16 15:04:10 2004
@@ -77,10 +77,6 @@
  * 	endpoint configurations.  They will be in no particular order.
  * @num_altsetting: number of altsettings defined.
  * @cur_altsetting: the current altsetting.
- * @act_altsetting: index of current altsetting.  This number is always
- *	less than num_altsetting.  After the device is configured, each
- *	interface uses its default setting of zero.
- *	NOTE: act_altsetting is deprecated.  Use cur_altsetting instead.
  * @driver: the USB driver that is bound to this interface.
  * @minor: the minor number assigned to this interface, if this
  *	interface is bound to a driver that uses the USB major number.
@@ -125,7 +121,6 @@
 
 	struct usb_host_interface *cur_altsetting;	/* the currently
 					 * active alternate setting */
-	unsigned act_altsetting;	/* index of active alternate setting: DEPRECATED */
 	unsigned num_altsetting;	/* number of alternate settings */
 
 	struct usb_driver *driver;	/* driver */
